package com.yunniu.farming.webadmin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunniu.farming.webadmin.model.Admin;
import com.yunniu.farming.webadmin.model.Result;
import com.yunniu.farming.webadmin.model.TableResult;

import javax.servlet.http.HttpServletRequest;

public interface AdminService extends IService<Admin> {

    Admin getAdminByAccount(String account);

    void updateLoginTime(String adminAccount);

    TableResult getAdminList(HttpServletRequest request);

    Admin getAdminById(String id);

    Result delAdmin(String id);

    Result addAdmin(Admin admin);

    Result editAdmin(Admin admin);

    Result abolishAdmin(Admin admin);

    Result editAdminInfo(Admin admin);


    Result loginApp(String account, String password);

    Result editPermissions(Integer state);
}
